List all Merchants
Returns a list of Merchant objects sorted ascending by id unless specified otherwise.
Authorizations
Query Parameters
Specify additional fields of the Merchant object to be included in the response.
See the selecting fields page for more information.
basic, all, code, name, status, created_at, updated_at, brands, default_brand, custom_fields Specify additional fields of the Brand object to be included in the response. See the selecting fields page for more information.
basic, all, code, name, is_active, is_deleted, sort_order Specify additional fields of the Brand object to be included in the response. See the selecting fields page for more information.
basic, all, code, name, is_active, is_deleted, sort_order The result is filtered to only include active merchants by default. To return only inactive merchants, set the inactive filter to true (e.g. ?filter=inactive:true). Otherwise, use any filter on status to override the default filter and potentially include inactive merchants in the results.
Using the filtering syntax, you may filter the results using the following fields:
idcodenamestatuscreated_atupdated_atinactive(boolean)
The default sort order is ascending by primary key (sort=id).
Use the sorting syntax to override the default sort order.
The following fields are available for sorting:
idcodenamestatuscreated_atupdated_at
^-?\w+(,-?\w+)*$"created_at,-id"
If specified as 1, the meta.count property of the response will be present and populated with the total count of items
matching the query before any paging is applied. This is not included by default to improve performance in some edge
cases and is not required to perform paging using the next property of the response.
See paging parameters for more information.
0 <= x <= 1A cursor for use in pagination which defines the end of the next page of results, non-inclusive.
For collections sorted by id this is the last id. For other sort orders use the
opaque cursor provided by the previous link and meta.cursor_end of the previous page;
a plain record id is also accepted and resolves to that record's position in the sort order.
See paging parameters for more information on paging.
A cursor for use in pagination which defines the start of the next page of results.
For collections sorted by id this is the starting id. For other sort orders use the
opaque cursor provided by the next link and meta.cursor_start of the previous page;
a plain record id is also accepted and resolves to that record's position in the sort order.
See paging parameters for more information on paging.
Response
A dictionary with a collection property that contains an array of up to
limit Merchant objects. If no merchants are found the array will be empty.
Lists of referenced objects included by specifying optional fields. See the selecting fields page for more information.